
Figure - Bug #118352
【IOVDEV-31269】【VC1】【0100】【台架】【EE环境】【副屏】副屏在中控发送洗车命令结束之后，亮屏
出现docs栏抖动现象
2023-05-29 19:22 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-29

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0100.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-07

Test Type: ST Root cause: AOSP问题

Description

【环境信息】EE环境

【问题出现时间】：20230529 15：25

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.中控发送洗车模式命令，副屏熄屏

2.停止命令，副屏亮屏

【实际结果】

1.副屏显示docs栏抖动

【期望结果】

1.副屏正常显示

【备注】：

第167次开机

开机时长：

日志、视频地址：https://ofs.human-horizons.com/#/download/index/WPPZe%2FPAVk4%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0086.c102

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-29 20:17 - CDTS_TEST 王成

- File 飞书20230529-154812.mp4 added

#2 - 2023-05-29 20:19 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

Hi 王营

dock栏在缓慢的上下抖动，请帮忙分析
#3 - 2023-05-30 10:35 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

【分析】

1、此动画为Dock正常现象，初次进入Launcher时，Dock会有上下跳动的引导动画

【下一步】

1、确认副屏是否有数据重置的操作。

2、洗车模式结束会向副屏发送什么样的通知。

#4 - 2023-05-30 11:32 - CD APP-王宏

- Assignee changed from CD APP-王宏 to CD APP-王营

Hi 王营,

根据在hotset中打印堆栈

    @Override

    public void setTranslationY(float translationY) {

        super.setTranslationY(translationY);

        Log.d(TAG, "setTranslationY: " + translationY, new Exception());

    }

跟踪到DiscoveryBounce#showForHomeIfNeeded(),这是控制hotseat抖动的方法，

可打印其中的控制条件，对比正常和意外情况下有何不同，从而有针对的跟踪定位到该问题

#5 - 2023-05-30 15:58 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CDTS_TEST 王成

【分析】

非bug，此现象是Dock的上下跳动动画，此动画在手势在初次使用Launcher时候或者息屏亮屏后被激活，洗车模式就是将副屏息屏，结束后唤醒屏幕，此

时系统触发此动画。

【下一步】

原生功能，测试确认，关闭此问题。

#6 - 2023-06-01 21:28 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

#7 - 2023-06-01 21:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-06-01 21:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-06-05 20:21 - CD TEST-方永红
- Status changed from CLOSED to New

- Assignee changed from CDTS_TEST 王成 to CD APP-王营

客户恢复：

试过副屏自己熄屏和亮屏，还有中控控制熄屏在亮屏都不会出现dock抖动现象、麻烦分析一下

#10 - 2023-06-06 14:20 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- Resolution changed from WONTFIX to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-07

- Root cause set to AOSP问题

【状态】

1、Dock上下跳动动画已删除

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/205051

#11 - 2023-06-06 14:25 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

205051 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Remove Dock jump animationTC-RID: 1201-0205301IssueID: TS-R-BUG-118352Change-Id: Id2a94b59c3608d0fae0aa22e9685fd548da2e167

#12 - 2023-06-09 13:46 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在 FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306090153版本验证通过

#13 - 2023-06-25 14:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

15.25 100版本 第166次开机 副屏在中控发送洗车模式命令结束后，docs栏出现抖动现象.7z15.5 MB 2023-05-29 CDTS_TEST 王成

飞书20230529-154812.mp4 11.6 MB 2023-05-29 CDTS_TEST 王成
